#ifndef INI_CONFIG_TYPES_INT_H
#define INI_CONFIG_TYPES_INT_H

#include <minIni.h>
#include "../ini-config.h"

INI_CONFIG_DECLARE_TYPE(U8);
#define INI_CONFIG_TYPE_U8 (INI_ConfigType) { \
	.size = sizeof(uint8_t), \
	.load = INI_ConfigLoadU8, \
	.save = INI_ConfigSaveU8, \
	.override = INI_ConfigOverrideU8, \
}

INI_CONFIG_DECLARE_TYPE(U16);
#define INI_CONFIG_TYPE_U16 (INI_ConfigType) { \
	.size = sizeof(uint16_t), \
	.load = INI_ConfigLoadU16, \
	.save = INI_ConfigSaveU16, \
	.override = INI_ConfigOverrideU16, \
}

INI_CONFIG_DECLARE_TYPE(U32);
#define INI_CONFIG_TYPE_U32 (INI_ConfigType) { \
	.size = sizeof(uint32_t), \
	.load = INI_ConfigLoadU32, \
	.save = INI_ConfigSaveU32, \
	.override = INI_ConfigOverrideU32, \
}

INI_CONFIG_DECLARE_TYPE(I8);
#define INI_CONFIG_TYPE_I8 (INI_ConfigType) { \
	.size = sizeof(int8_t), \
	.load = INI_ConfigLoadI8, \
	.save = INI_ConfigSaveI8, \
	.override = INI_ConfigOverrideI8, \
}

INI_CONFIG_DECLARE_TYPE(I16);
#define INI_CONFIG_TYPE_I16 (INI_ConfigType) { \
	.size = sizeof(int16_t), \
	.load = INI_ConfigLoadI16, \
	.save = INI_ConfigSaveI16, \
	.override = INI_ConfigOverrideI16, \
}

INI_CONFIG_DECLARE_TYPE(I32);
#define INI_CONFIG_TYPE_I32 (INI_ConfigType) { \
	.size = sizeof(int32_t), \
	.load = INI_ConfigLoadI32, \
	.save = INI_ConfigSaveI32, \
	.override = INI_ConfigOverrideI32, \
}

#endif
