#ifndef INI_CONFIG_TYPES_STRING_H
#define INI_CONFIG_TYPES_STRING_H

#include <minIni.h>
#include "../ini-config.h"

INI_CONFIG_DECLARE_TYPE(String);
#define INI_CONFIG_TYPE_STRING(X) (INI_ConfigType) { \
	.size = (sizeof(char) * X), \
	.load = INI_ConfigLoadString, \
	.save = INI_ConfigSaveString, \
	.override = INI_ConfigOverrideString, \
}

#endif
